Filled Wild random tp (FOR ESSENTIALS SIGNS)

Discussion in 'Plugin Requests' started by tspierer2, Apr 23, 2016.

Thread Status:
Not open for further replies.
  1. Offline

    I Al Istannen

    @tspierer2
    Thanks for this list! This is something you can work with :p

    1. The command
    • Shares the cooldown with the signs. Cooldown can be set in the config (but in seconds, I was too lazy. And you have a calculator ;))
    • Command warmup. Duration changable in the config. Moving cancels it. Looking around is fine.
    • Cooldown will be added if the user successfully teleported.
    2. The signs
    • I kept the original signs.
    • Meaning:
      • You can change the parameters (radius for circle mode, minX, maxX, minZ, maxZ for cubic) for EVERY sign
      • Signs share a cooldown with the command and every other sign
      • Creation is a bit more complex (explained in one of my last posts, hasn't changed)
      • You can also just write the first line, to use the settings from the config.yml. Makes it easier for you
    • Signs WON'T update their parameters if you change the config. Only new ones will. The command will change after a reload/restart.
    • Signs text is configurable and also lists the radius and stuff in the default config. You can change that too, of course.
    • The key for the sign is typing "WILD TP" in the first line. And having the permission "wildTp.create".
    • Using doesn't require a permission. Nor does the command.
    3. Config
    • All of your options (at least I think so, point missing things out!) and some more
    • Blocks to avoid is not with ids.
      • Ids were deprecated for quite some time. New system is names.
      • The source for the names is linked in the config
    • Signs will update their text to match the config every reload/restart.
    • Avoid faction land is not implemented. If I find interest, I might do it. No promises though.
    • You can change the radius and other things for the teleportation in the config. Change
      1. "teleportation object type" to the type. Explained in config.yml
      2. "teleportation object string". Format is explained in the config.yml too. The same as the signs
    • "max iterations for block finding". The block to teleport to is chosen randomly. If the block is not valid (a blocked material), a new one will be searched. To protect the server from crashing, because no block is valid, there is a maximum of tries it will do. If it can't find a block within this number, the user will receive an error message and the cooldown won't apply. You may want to increase this, but beware of too high numbers.
    • Not all messages are configurable.
    • The rest should be explained sufficiently in the config.yml.
    If you have any questions or find any bugs, ask!

    Link: dropbox. Source should be packaged within it, if you are interested or somebody else wants to continue it later. It isn't that nice though, as I didn't rewrote all of it after you clarified yourself. So you might simply want to totally rewrite the plugin if it will be needed.
     
  2. Offline

    tspierer2

    For some reason your plugin doesn't load in my /plugins after I restarted the server, and it doesn't create a folder/config.
     
  3. Offline

    timtower Moderator Moderator

  4. Offline

    tspierer2

  5. Offline

    I Al Istannen

    @tspierer2
    It's not on my end then. If something with the file extension ".jar" is placed in the plugin folder, Bukkit tries to load it. It doesn't even try it, which means it probably was renamed or isn't in the plugins folder.

    Or you didn't show the complete log. There is nothing like "Starting minecraft server version <version>", which is (at least for me) on the beginning of a server start.

    Apart from that, you have some outdated plugins and some throwing errors. Would be probably good if you would update them. From the log it looks like half of the plugins are broken... ;)
    e.g. this:
     
  6. Offline

    tspierer2

    They are all working perfectly fine. I don't plan on upgrading them :p
    ---
    I got a new paste and this time it includes your plugin
    http://pastebin.com/iDpqs1e6

    From what I'm seen, its probably because mcprohosting uses java 7, and your plugin depends on 8. But I don't know much.
    --
     
  7. Offline

    I Al Istannen

    @tspierer2
    Yes, my plugin uses Java 8. In fact, it uses it quite heavily. Replacing all this could be quite some work and will make the code messy. Do you have any chance of updating your java version?

    We have May 2016 by now... .
     
  8. Offline

    timtower Moderator Moderator

    @I Al Istannen Tell that to the server hosts, users generally have updated, but server hosts haven't (don't know why though)
     
  9. Offline

    I Al Istannen

    @timtower
    I mean, they had over !2! years. You would think they could have done it by now... . It should be backwards compatible anyways. Companies, I guess. Don't understand this. Maybe when I'll work in a (few) years :p

    But Java 8 had some nice features and my plugin uses them quite often. I really don't feel like changing this. *sigh*
     
  10. Offline

    timtower Moderator Moderator

    @I Al Istannen They are backwards compatible, but you compiling with 8 would require them to be forwards compatible.
    @tspierer2 Made a very simple wild plugin a couple days ago, no cooldown, range is determined by WorldBorder, couple configurable messages. WildLikeMe, link is in my signature.
     
  11. Offline

    I Al Istannen

    @timtower
    Yea, I do know that. Just meant that I see no downside for the hosts. Although this is getting offtopic :p
     
    timtower likes this.
  12. Offline

    tspierer2

    ill try my best to get them to upgrade my java.
    I'll let you guys know the case
     
  13. Offline

    I Al Istannen

    @tspierer2
    Try it, but if it is a dedicated hosting service, the chance is really small. I will downgrade it for 1.7 (and change all the nice Streams, and stuff *sniff*) sometime this weekend.
     
  14. Offline

    tspierer2

    Lol <3 don't worry I'll persuade them well
     
  15. Offline

    tspierer2

    Thank you for the plugin. I succesfuly upgraded my Java to 8 and your plugin is working smoothly. I appreciate it a lot!
     
  16. Offline

    I Al Istannen

    @tspierer2
    Wow. That was unexpected! Glad it works though ;)
    If you have any problems with it, just send me a PM (or post here, depends on when it happens :p)

    Have a nice day!
     
    Last edited by a moderator: May 29, 2016
Thread Status:
Not open for further replies.

Share This Page